#include <GL/gl.h>
#include "floor.h"

static GLfloat floorVertices[4][3] = {
  {-20.0, 0.0, 20.0}, {20.0, 0.0, 20.0}, 
  {20.0, 0.0, -20.0}, {-20.0, 0.0, -20.0}
};

void drawFloor(void) {
  glDisable(GL_LIGHTING);
  glBegin(GL_QUADS);
  glNormal3f(0.0, 1.0, 0.0);
  glVertex3fv(floorVertices[0]);
  glVertex3fv(floorVertices[1]);
  glVertex3fv(floorVertices[2]);
  glVertex3fv(floorVertices[3]);
  glEnd();
  glEnable(GL_LIGHTING);
}

